%define	upstream_name Net-Jabber
%define upstream_version 2.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 16
License:	LGPL
Group:		Development/Perl
Summary:	Jabber Perl Library
Source:		http://search.cpan.org/CPAN/authors/id/R/RE/REATMON/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		http://search.cpan.org/dist/%{upstream_name}
Buildrequires:	perl-devel
Buildrequires:	perl(Net::XMPP)

BuildArch:	noarch

%description
Net::Jabber is a collection of Perl modules that provide a Perl Developer
access to the Jabber protocol.  Using OOP modules we provide a clean
interface to writing anything from a full client to a simple protocol
tester.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%make_install

%files
%doc CHANGES LICENSE.LGPL MANIFEST.SKIP README
%{_mandir}/*/*
%{perl_vendorlib}/Net/Jabber*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-16.mga8
+ Revision: 1495913
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-15.mga7
+ Revision: 1269921
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-14.mga6
+ Revision: 1031111
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.0.0-13.mga6
+ Revision: 968729
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 2.0.0-12.mga6
+ Revision: 854407
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 2.0-11.mga5
+ Revision: 747978
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-10.mga5
+ Revision: 685677
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-9.mga4
+ Revision: 513475
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0-8.mga3
+ Revision: 370687
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2.0-7.mga1
+ Revision: 32237
- mageia rebuild
- imported package perl-Net-Jabber


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0-7mdv2010.1
+ Revision: 426547
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.0-6mdv2009.1
+ Revision: 351815
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0-5mdv2009.0
+ Revision: 223894
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-4mdv2008.1
+ Revision: 180524
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 2.0-3mdv2008.0
+ Revision: 23322
- rebuild


* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdk
- New release 2.0 (TODO: fix tests)
- don't ship manifest
- rpmbuilupdate aware
- better URL
- spec cleanup
- fix buildrequires

* Mon Jun 06 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.30-2mdk
- Rebuild

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.30-1mdk
- 1.30
- drop PREFIX and use %%makeinstall_std macro

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.28-6mdk
- rebuild

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.28-5mdk
- rebuild for new rpm provides computation

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.28-4mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.28-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.28-2mdk
- rebuild

* Fri Jan 17 2003 François Pons <fpons@mandrakesoft.com> 1.28-1mdk
- 1.28.

* Sat Jul 20 2002 Pixel <pixel@mandrakesoft.com> 1.26-2mdk
- rebuild for new perl
- cleanup

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.26-1mdk
- from David Walser <luigiwalser@yahoo.com> :
	- 1.26

